package ink.wgink.module.wechat.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: EventTypeEnum
 * @Description: 事件类型
 * @Author: wanggeng
 * @Date: 2021/4/28 6:19 下午
 * @Version: 1.0
 */
public enum XmlEventTypeEnum {

    SUBSCRIBE("subscribe", "订阅"),
    UNSUBSCRIBE("unsubscribe", "取消订阅");


    private String type;
    private String describe;

    XmlEventTypeEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    public String getType() {
        return type == null ? "" : type;
    }

    public String getDescribe() {
        return describe == null ? "" : describe;
    }
}
